Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## bmserv.model
Class Bookmark

    java.lang.Object
      bmserv.model.Bookmark

    public class Bookmark

extends java.lang.Object

Bean JAXB qui implemente le modele de Bookmark.
Un `Bookmark` est une référence explicite créée par un auteur vers une URL à laquelle sont associés un itre, une description.

Author:
  ndelafor

Constructor Summary
`Bookmark()` Constructeur vide.
`Bookmark(java.lang.String title, java.lang.String urlstr, java.lang.String descr, java.lang.String authid)` Constructeur paramétré pour l'ajout dynamique de Bookmarks depuis le `BookmarkHandler`.

Method Summary
`static java.lang.String` | `createBmId(java.lang.String login, java.lang.String urlstr)` Methode statique de creation d'un ID de `Bookmark`.
`java.util.List<Tag>` | `getAssociatedTags()` Récupère tous les `Tag` associés au bookmark.
`java.lang.String` | `getAuthid()` Getter sur l'id de l'auteur du bookmark.
`User` | `getAuthor()` Getter sur l'objet `User` qui contient l'auteur du bookmark.
`java.lang.String` | `getDescription()` Getter sur la description du bookmark
`java.lang.String` | `getId()` Getter sur l'ID du bookmark
`java.lang.String` | `getTitle()` Getter sur le titre du bookmark
`java.lang.String` | `getUrlstr()` Getter sur l'URL du bookmark
`void` | `setDescription(java.lang.String description)` Setter.
`void` | `setTitle(java.lang.String title)` Setter.
`void` | `setUrlstr(java.lang.String urlstr)` Setter.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Bookmark

    public Bookmark()

  Constructeur vide. Utilisé par JAXB.

### Bookmark

    public Bookmark(java.lang.String title,
                    java.lang.String urlstr,
                    java.lang.String descr,
                    java.lang.String authid)

  Constructeur paramétré pour l'ajout dynamique de Bookmarks depuis le `BookmarkHandler`.

  Parameters:
    `title` - : le titre du `Bookmark`
    `urlstr` - : l'URL bookmarkée
    `descr` - : la description du `Bookmark`
    `authid` - : l'ID de l'auteur du `Bookmark`

Method Detail

### getId

    public java.lang.String getId()

  Getter sur l'ID du bookmark

  Returns:
    l'ID du bookmark

### getTitle

    public java.lang.String getTitle()

  Getter sur le titre du bookmark

  Returns:
    le titre du bookmark

### getDescription

    public java.lang.String getDescription()

  Getter sur la description du bookmark

  Returns:
    la description du bookmark

### getUrlstr

    public java.lang.String getUrlstr()

  Getter sur l'URL du bookmark

  Returns:
    l'URL du bookmark

### getAuthid

    public java.lang.String getAuthid()

  Getter sur l'id de l'auteur du bookmark.

  Returns:
    l'id de l'auteur du bookmark

### getAuthor

    public User getAuthor()

  Getter sur l'objet `User` qui contient l'auteur du bookmark.

  Returns:
    le `User` qui contient l'auteur du bookmark.

### getAssociatedTags

    public java.util.List<Tag> getAssociatedTags()

  Récupère tous les `Tag` associés au bookmark.

  Returns:
    la liste des tags

### setTitle

    public void setTitle(java.lang.String title)

  Setter. Mise a jour du titre du bookmark

### setDescription

    public void setDescription(java.lang.String description)

  Setter. Mise a jour de la description du bookmark

### setUrlstr

    public void setUrlstr(java.lang.String urlstr)

  Setter. Mise a jour de l'URL du bookmark

### createBmId

    public static java.lang.String createBmId(java.lang.String login,
                                              java.lang.String urlstr)

  Methode statique de creation d'un ID de `Bookmark`.
  Les ID de `Bookmark` sont générés à partir de l'ID de l'auteur et de la signature MD5 de l'URL.
  Par exemple : si mbuffa a bookmarké http://wiigen.fr/, l'ID sera :
  `URLEncoder.encode("mbuffa", "UTF-8") + "@" + MD5.encode("http://wiigen.fr/");`

  Parameters:
    `login` - le login de l'auteur du bookmark
    `urlstr` - l'URL bookmarkée
  Returns:
    string contenant l'ID du bookmark

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD